# pymatgen.analysis.chemenv.utils.chemenv_errors module

This module contains the error classes for the chemenv package.

exception AbstractChemenvError(cls, method, msg)

  Bases: `Exception`

  Abstract class for Chemenv errors.

  Parameters

    - cls –

    - method –

    - msg –

exception ChemenvError(cls, method, msg)

  Bases: `Exception`

  Chemenv error.

  Parameters

    - cls –

    - method –

    - msg –

exception EquivalentSiteSearchError(site)

  Bases: `pymatgen.analysis.chemenv.utils.chemenv_errors.AbstractChemenvError`

  Equivalent site search error.

  Parameters

    site –

exception NeighborsNotComputedChemenvError(site)

  Bases: `pymatgen.analysis.chemenv.utils.chemenv_errors.AbstractChemenvError`

  Neighbors not computed error.

  Parameters

    site –

exception SolidAngleError(cosinus)

  Bases: `pymatgen.analysis.chemenv.utils.chemenv_errors.AbstractChemenvError`

  Solid angle error.

  Parameters

    cosinus –